# Audit

Types:

```python
from nemo_platform.types.audit import (
    AuditClassConfig,
    AuditConfig,
    AuditModuleConfig,
    AuditPluginsData,
    AuditPluginsDataParam,
    AuditReportData,
    AuditRunData,
    AuditSystemData,
    AuditTarget,
)
```

Methods:

- client.audit.info() -> object

## Configs

Types:

```python
from nemo_platform.types.audit import (
    CreateAuditConfigRequest,
    ListResponseAuditConfig,
    UpdateAuditConfigRequest,
    ConfigListResponse,
)
```

Methods:

- client.audit.configs.create(\*, workspace, \*\*params) -> AuditConfig
- client.audit.configs.retrieve(name, \*, workspace) -> AuditConfig
- client.audit.configs.update(name, \*, workspace, \*\*params) -> AuditConfig
- client.audit.configs.list(\*, workspace, \*\*params) -> ConfigListResponse
- client.audit.configs.delete(name, \*, workspace) -> DeleteResponse
- client.audit.configs.list_versions(name, \*, workspace, \*\*params) -> SyncDefaultPagination[AuditConfig]

## Plugins

Types:

```python
from nemo_platform.types.audit import (
    AuditPlugin,
    AuditPluginFilter,
    AuditPluginSortField,
    AuditPluginsPage,
    PluginRetrieveResponse,
)
```

Methods:

- client.audit.plugins.retrieve(name) -> PluginRetrieveResponse
- client.audit.plugins.list(\*\*params) -> SyncDefaultPagination[AuditPlugin]

## Targets

Types:

```python
from nemo_platform.types.audit import (
    CreateAuditTargetRequest,
    ListResponseAuditTarget,
    UpdateAuditTargetRequest,
    TargetListResponse,
)
```

Methods:

- client.audit.targets.create(\*, workspace, \*\*params) -> AuditTarget
- client.audit.targets.retrieve(name, \*, workspace) -> AuditTarget
- client.audit.targets.update(name, \*, workspace, \*\*params) -> AuditTarget
- client.audit.targets.list(\*, workspace, \*\*params) -> TargetListResponse
- client.audit.targets.delete(name, \*, workspace) -> DeleteResponse
- client.audit.targets.list_versions(name, \*, workspace, \*\*params) -> SyncDefaultPagination[AuditTarget]

## Jobs

Types:

```python
from nemo_platform.types.audit import (
    AuditConfigParam,
    AuditJob,
    AuditJobConfig,
    AuditJobConfigParam,
    AuditJobRequest,
    AuditJobsListFilter,
    AuditJobsPage,
    AuditJobsSortField,
    AuditTargetParam,
    AuditTaskOptions,
)
```

Methods:

- client.audit.jobs.create(\*, workspace, \*\*params) -> AuditJob
- client.audit.jobs.retrieve(name, \*, workspace) -> AuditJob
- client.audit.jobs.list(\*, workspace, \*\*params) -> SyncDefaultPagination[AuditJob]
- client.audit.jobs.delete(name, \*, workspace) -> None
- client.audit.jobs.cancel(name, \*, workspace) -> AuditJob
- client.audit.jobs.get_logs(name, \*, workspace, \*\*params) -> SyncLogsPagination[PlatformJobLog]
- client.audit.jobs.get_status(name, \*, workspace) -> PlatformJobStatusResponse
- client.audit.jobs.pause(name, \*, workspace) -> AuditJob
- client.audit.jobs.resume(name, \*, workspace) -> AuditJob

### Results

Methods:

- client.audit.jobs.results.retrieve(name, \*, workspace, job) -> PlatformJobResultResponse
- client.audit.jobs.results.list(name, \*, workspace) -> PlatformJobListResultResponse
- client.audit.jobs.results.download(name, \*, workspace, job) -> BinaryAPIResponse
